<template>
  <div class="friend-message-reply-item-avatar-name">
    <Avatar
      class="friend-message-reply-item-avatar"
      :src="props.avatarUrl ? setOSSLink(props.avatarUrl) : ''"
      :size="24"
    ></Avatar>
    <div class="friend-message-reply-item-name2">{{ name }}</div>
  </div>
</template>

<script setup lang="ts">
import { Avatar } from '@12333/components';
import { setOSSLink } from '@12333/utils';

defineOptions({
  name: 'FriendMessageReplyName',
});

type Props = {
  name?: string;
  avatarUrl?: string;
};

const props = withDefaults(defineProps<Props>(), {});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.friend-message-reply-item-avatar-name {
  display: flex;
  align-items: center;

  .friend-message-reply-item-avatar {
    margin-right: 16px;
  }

  .friend-message-reply-item-name2 {
    font-weight: 400;
    font-size: 28px;
    color: boleGetCssVar('text-color', 'regular');
    line-height: 40px;
    vertical-align: middle;
  }
}
</style>
